<ion-header>
  <ion-toolbar>
    <ion-title>login</ion-title>
  </ion-toolbar>
</ion-header>

<ion-content class="ion-padding">

  <topo-login></topo-login>

  <form [formGroup]="loginForm" (submit)="login()">
    <ion-item>
      <ion-icon name="mail" color="dks" slot="start"></ion-icon>
      <ion-input formControlName="email" type="email" placeholder="E-mail" autofocus="true"></ion-input>
    </ion-item>

    <ion-item>
      <ion-icon name="lock-closed" color="dks" slot="start"></ion-icon>
      <ion-input formControlName="password" type="password" placeholder="Senha"></ion-input>
    </ion-item>
    <ion-button [disabled]="loginForm.invalid" type="submit" expand="block" color="dks" fill="clear">Enviar</ion-button>
  </form><br><br>

</ion-content>

<ion-footer>
  <ion-row>
      <ion-col>
        <ion-button [routerLink]="['/auth/forgot']" fill="clear" color="medium">Esqueci minha senha</ion-button>
      </ion-col>
      <ion-col>
        <ion-button [routerLink]="['/auth/register']" fill="clear" color="medium">Criar usuário</ion-button>
      </ion-col>
  </ion-row>
</ion-footer>
